/*
    ContactXfer - Transfer Contacts via Wireless Network

    Copyright (C) 2008  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>
    http://www.atistar.net/~stepp/contactxfer/

    $Id: PersonSerializer.h 282 2008-09-02 22:56:58Z stepp $
*/

#ifndef _PERSONSERIALIZER_H
#define _PERSONSERIALIZER_H

#import <AddressBook/AddressBook.h>


@interface PersonSerializer : NSObject {

	ABPropertyID personProperties[24];
	CFStringRef addressKeys[6];
	CFStringRef dateLabels[1];
	CFNumberRef personKinds[2];
	CFStringRef phoneLabels[5];
	CFStringRef imKeys[7];
	CFStringRef urlLabels[1];
	CFStringRef relatedLabels[11];
	CFStringRef genericLabels[3];
}


-(NSData *)serializePerson:(ABRecordRef)person;
-(ABRecordRef)deserializeData:(NSData *)data;
	
@end

#endif
